From 4f70e6614949bad9b7c5f04d5a5cf70912f981de Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Sat, 25 Aug 2012 12:15:55 +0200
Subject: Include the correct URL helpers module for Rails 3

--HG--
extra : source : d6b1d5b127c2866e331cb456a0cce3c4819c5ad9
---
 app/models/mailer.rb                               |    2 +-
 lib/redmine/hook.rb                                |    4 ++--
 test/unit/lib/redmine/helpers/gantt_test.rb        |    2 +-
 .../acts_as_journalized/lib/journal_formatter.rb   |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/app/models/mailer.rb b/app/models/mailer.rb
index c4bae36..618a4b7 100644
--- a/app/models/mailer.rb
+++ b/app/models/mailer.rb
@@ -21,7 +21,7 @@ class Mailer < ActionMailer::Base
   helper :journals
   helper :custom_fields
 
-  include ActionController::UrlWriter
+  include Rails.application.routes.url_helpers
   include Redmine::I18n
 
   def self.default_url_options
diff --git a/lib/redmine/hook.rb b/lib/redmine/hook.rb
index 0ea6013..26d9233 100644
--- a/lib/redmine/hook.rb
+++ b/lib/redmine/hook.rb
@@ -14,7 +14,7 @@
 
 module Redmine
   module Hook
-    include ActionController::UrlWriter
+    include Rails.application.routes.url_helpers
 
     @@listener_classes = []
     @@listeners = nil
@@ -90,7 +90,7 @@ module Redmine
       include ActionView::Helpers::UrlHelper
       include ActionView::Helpers::AssetTagHelper
       include ActionView::Helpers::TextHelper
-      include ActionController::UrlWriter
+      include Rails.application.routes.url_helpers
       include ApplicationHelper
 
       # Default to creating links using only the path.  Subclasses can
diff --git a/test/unit/lib/redmine/helpers/gantt_test.rb b/test/unit/lib/redmine/helpers/gantt_test.rb
index 746f59e..983c89e 100644
--- a/test/unit/lib/redmine/helpers/gantt_test.rb
+++ b/test/unit/lib/redmine/helpers/gantt_test.rb
@@ -18,7 +18,7 @@ class Redmine::Helpers::GanttTest < ActiveSupport::TestCase
   class GanttViewTest < ActionView::Base
     include ActionView::Helpers::UrlHelper
     include ActionView::Helpers::TextHelper
-    include ActionController::UrlWriter
+    include Rails.application.routes.url_helpers
     include ApplicationHelper
     include ProjectsHelper
     include IssuesHelper
